
CN Index - Feature #6732

Add 'archived' records to search index

2015-01-06 19:15 - Skye Roseboom

Status: Rejected Start date: 2015-06-30

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 30%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Design questions:

Adding archived items to the index:

1.)  Are data package relationships (documents, documentedBy, aggregatedBy) removed when a (data/science metadata) document

is archived.   Annotations, provanance, semantic fields?

2.) Are data package relationships removed when an ORE/data package document is archived?

Current definition of 'head of sid' chain requires archived objects to be present in the search index so that 'head of sid' chain

resolution works the same as it does on CN

Subtasks:

Task # 7242: Add a new mechanism to remove the solr index of an object Rejected

Related issues:

Related to Search UI - Task #7245: Update ONEMercury to exclude archived PIDs... Rejected 2015-07-01

Related to Search UI - Task #7246: Update Metacat UI search to exclude archiv... Rejected 2015-07-01

Related to Infrastructure - Task #6733: Metacat MN index should keep the solr... Rejected 2015-01-06

History

#1 - 2015-02-03 18:47 - Skye Roseboom

- Parent task deleted (#6716)

#2 - 2015-02-03 18:47 - Skye Roseboom

- translation missing: en.field_release set to 2

- Tracker changed from Task to Feature

#3 - 2015-04-17 22:56 - Ben Leinfelder

Why does finding the 'head of sid' chain rely on the solr index?

#4 - 2015-06-30 15:29 - Skye Roseboom

- Target version set to CCI-2.0-RC1

#5 - 2015-06-30 15:30 - Skye Roseboom

Current implementation removes archived objects from the search index.

Need to alter this to:

add an archived property to the solr schema

index only system metadata for archived objects (currently indexed objects need to be updated to remove other search fields such as title etc for

science metadata)
#6 - 2015-06-30 15:54 - Skye Roseboom

- % Done changed from 0 to 30

- Status changed from New to In Progress

#7 - 2015-07-01 16:20 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#8 - 2015-07-01 17:54 - Dave Vieglais

- Related to Task #7245: Update ONEMercury to exclude archived PIDs from searches added

#9 - 2015-07-01 17:54 - Dave Vieglais

- Related to Task #7246: Update Metacat UI search to exclude archived PIDs from searches added

#10 - 2015-07-13 22:05 - Ben Leinfelder

- Related to Task #6733: Metacat MN index should keep the solr index for archived objects added

#11 - 2015-07-16 19:50 - Skye Roseboom

- Description updated

#12 - 2015-08-04 18:57 - Skye Roseboom

- Status changed from In Progress to Rejected

Rejecting for now, use case story is unclear why/how these records would be used.
